Lazarus

Programming => Packages and Libraries => KOL => Topic started by: isaac_cm on September 24, 2009, 01:39:23 pm

Title: not valid wince application error
Post by: isaac_cm on September 24, 2009, 01:39:23 pm
hello,
I use kol-ce and I copied the aygshell.dll but the application did not work

there is 14 version of aygshell.dll and I tried them all , the OS is WinCE 5.0 core

I also set winarm and wince in the compiler options, I test without making kol-ce and it work but I need to try kol-ce so any idea to make it work ?

Thanks
Title: Re: not valid wince application error
Post by: felipemdc on December 17, 2009, 07:19:26 pm
Does the application run in the emulator?
Title: Re: not valid wince application error
Post by: Paul Breneman on January 15, 2010, 03:52:27 pm
I just posted three patched files to the fpGUI newsgroup so now the latest fpGUI works on a Symbol MC1000 barcode scanner (WinCE 4.2).

Right now the aygshell.dll is not needed but if fpGUI is tweaked for other WinCE systems that may be required in the future.

I encountered the "not valid wince application" error while updating fpGUI and I ended up having to use the www.dependencywalker.com program to find what API call was causing the problem (missing in coredll.dll).
Title: Re: not valid wince application error
Post by: isaac_cm on March 10, 2010, 03:19:26 am
thanks
TinyPortal © 2005-2018